Skip to main content
GET
/
industrial
/
data-inputs
/
data-points
/
history
List historical data points for data inputs
curl --request GET \
  --url https://api.samsara.com/industrial/data-inputs/data-points/history \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "assetId": "74771078-5edb-4733-88f2-7242f520d1f1",
      "dataGroup": "Flow",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "Pump Flow",
      "units": "Gallons Per Minute",
      "fftSpectraPoints": [
        {
          "fftSpectra": {
            "frequencies": [
              123
            ],
            "x": [
              123
            ],
            "y": [
              123
            ],
            "z": [
              123
            ]
          },
          "time": "2020-01-27T07:06:25Z"
        }
      ],
      "j1939D1StatusPoints": [
        {
          "time": "2020-01-27T07:06:25Z",
          "value": [
            {
              "amberLampStatus": 123,
              "fmi": 123,
              "milStatus": 123,
              "occuranceCount": 123,
              "protectLampStatus": 123,
              "redLampStatus": 123,
              "spn": 123,
              "txId": 123
            }
          ]
        }
      ],
      "locationPoints": [
        {
          "gpsLocation": {
            "formattedAddress": "350 Rhode Island St, San Francisco CA, 94103",
            "gpsMetersPerSecond": 35.5,
            "headingDegrees": 91.2,
            "latitude": 42.44817,
            "longitude": -71.224716,
            "place": {
              "city": "San Francisco",
              "houseNumber": "350",
              "neighborhood": "Castro",
              "poi": "400",
              "postcode": "94103",
              "state": "CA",
              "street": "Rhode Island"
            }
          },
          "time": "2020-01-27T07:06:25Z"
        }
      ],
      "numberPoints": [
        {
          "time": "2020-01-27T07:06:25Z",
          "value": 1992.0506
        }
      ],
      "stringPoints": [
        {
          "time": "2020-01-27T07:06:25Z",
          "value": "On"
        }
      ]
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startTime
string
required

A start time in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

endTime
string
required

An end time in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

parentTagIds
string[]

A filter on the data based on this comma-separated list of parent tag IDs, for use by orgs with tag hierarchies. Specifying a parent tag will implicitly include all descendent tags of the parent tag. Example: parentTagIds=345,678

tagIds
string[]

A filter on the data based on this comma-separated list of tag IDs. Example: tagIds=1234,5678

dataInputIds
string[]

A comma-separated list of data input IDs. Example: dataInputIds=1234,5678

assetIds
string[]

A comma-separated list of industrial asset UUIDs. Example: assetIds=076efac2-83b5-47aa-ba36-18428436dcac,6707b3f0-23b9-4fe3-b7be-11be34aea544

Response

List of all data points for the specified data inputs and time range.

data
object[]

An array of data input data points. Each object in the array represents a data input and will contain its associated data points.

pagination
object

Pagination parameters.